package com.chushang.datascope.annotation;

import com.baomidou.mybatisplus.core.enums.SqlKeyword;
import com.chushang.datascope.enums.ScopeKeyWord;

import java.lang.annotation.*;

@Target(value = {ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataScope
{
    /**
     * 部门表的别名
     */
    String deptAlias() default "";

    /**
     * 用户表的别名
     */
    String userAlias() default "";

    String permission() default "";

    ScopeKeyWord scopeKey() default ScopeKeyWord.AND;

}